Bug 10469 - Display more when editing subfields in frameworks
Summary: Display more when editing subfields in frameworks
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords: Manual, release-notes-needed
Depends on:
Blocks:
 
Reported: 2013-06-14 13:49 UTC by Nicole C. Engard
Modified: 2020-01-15 23:52 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02, 19.05.07


Attachments
Bug 10469: Display more when editing subfields in frameworks (4.68 KB, patch)
2019-12-13 23:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10469: Display more when editing subfields in frameworks (4.74 KB, patch)
2019-12-30 19:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10469: Display more when editing subfields in frameworks (4.81 KB, patch)
2020-01-02 12:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-06-14 13:49:33 UTC
When editing frameworks you have to click 'display more' to see the hidden values and others.  I don't think we need to make this collapsed and require clicking to see more. But if others feel that we do need it I'd like a way to have it remember that I showed more  on the previous subfield so that I don't have to click it over and over for every subfield on a tag.
Comment 1 Owen Leonard 2014-07-01 17:30:46 UTC
Does this bug refer to the process of editing a subfield structure?

/cgi-bin/koha/admin/marc_subfields_structure.pl?op=add_form&tagfield=XXX&frameworkcode=XXX

If so I agree. I don't know why we couldn't just show the whole form.
Comment 2 Nicole C. Engard 2014-07-03 15:28:33 UTC
Yes, that's the URL.
Comment 3 Katrin Fischer 2019-04-28 18:20:32 UTC
I think while the accordeon is nice the process might be sped up by showing more information by default.
Comment 4 Owen Leonard 2019-12-13 23:46:53 UTC
Created attachment 96287 [details] [review]
Bug 10469: Display more when editing subfields in frameworks

This patch removes the accordion feature from the MARC subfields
structure editor. The form is not long, and I think in this case the
accordion makes the process more difficult to navigate.

To test, apply the patch and go to Administration -> MARC frameworks ->
Framework structure -> Subfield structure -> Edit. Choose a tag with
multiple subfields to best test the changes.

The whole form should apppear, and tabs functionality should work
correctly. Test that making changes under multiple tabs works correctly.
Comment 5 Katrin Fischer 2019-12-30 19:36:52 UTC
Created attachment 96690 [details] [review]
Bug 10469: Display more when editing subfields in frameworks

This patch removes the accordion feature from the MARC subfields
structure editor. The form is not long, and I think in this case the
accordion makes the process more difficult to navigate.

To test, apply the patch and go to Administration -> MARC frameworks ->
Framework structure -> Subfield structure -> Edit. Choose a tag with
multiple subfields to best test the changes.

The whole form should apppear, and tabs functionality should work
correctly. Test that making changes under multiple tabs works correctly.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-01-02 12:39:46 UTC
Created attachment 96738 [details] [review]
Bug 10469: Display more when editing subfields in frameworks

This patch removes the accordion feature from the MARC subfields
structure editor. The form is not long, and I think in this case the
accordion makes the process more difficult to navigate.

To test, apply the patch and go to Administration -> MARC frameworks ->
Framework structure -> Subfield structure -> Edit. Choose a tag with
multiple subfields to best test the changes.

The whole form should apppear, and tabs functionality should work
correctly. Test that making changes under multiple tabs works correctly.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Martin Renvoize 2020-01-03 16:33:51 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-01-14 00:56:46 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 9 Lucas Gass 2020-01-15 22:55:02 UTC
backported to 19.05.x for 19.05.07
Comment 10 Hayley Mapley 2020-01-15 23:52:29 UTC
Enhancement will not be backported to 18.11.x series.